import mx.central.data.LCService;
/**
 * Methods that can be called on the LCService server object.
 */
interface IStockServer {
    function think(Void):Boolean;
	
    function getLastUpdate():Date;
    function stockSearch(symbol:String):StockItem;
    function getCompany(symbol:String):StockItem;
    function addCompany(symbol:String):Void;
    function removeCompany(symbol:String):Void;
    function updateCompany(symbol:String):Void;
    
    function addRule(rule:AlertRuleItem):Number;
    function removeRule(ruleID:Number):Void;
    function saveRule(rule:AlertRuleItem):Void;
	
	function deleteStorage(Void):Void;
}
